Register Service API
Register Family Admin
Request URL
POST /api/v1.0/invoke/open-ability/method/general-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| first_name | String | Body | Yes | First name |
| last_name | String | Body | Yes | Last name |
| String | Body | Yes | ||
| password | String | Body | Yes | Password |
| residence_id | String | Body | Yes | Residence ID |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object | Body | Return result |
Request Example
POST /api/v1.0/invoke/open-ability/method/general-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "register_family_admin",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"last_name": "tom",
"password": "12345678Aaa",
"residence_id": "r31adc223cc4b3bedb6bd4742dedcfa52",
"first_name": "fly",
"email": "demo@akubela.com"
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1540869200562,
"result": {}
}